Sound: Pre-emphasize (in-place)...

A command to change the spectral slope of every selected Sound object.

The reverse of Sound: De-emphasize (in-place)....

This is the in-place version of Sound: Filter (pre-emphasis)..., i.e., it does not create a new Sound object but modifies an existing object.

## Setting

From frequency (Hz)
  the frequency F above which the spectral slope will increase by 6 dB/octave.

## Algorithm

The pre-emphasis factor α is computed as

α = exp (-2 π F Δt)

where Δt is the sampling period of the sound. Every sample xi of the sound, except x1, is then changed, going down from the last sample:

xi = xi - α xi-1

### Links to this page

- Filtering
- Sound: To Formant (burg)...
- Sound: To PowerCepstrogram...
- What was new in 3.7?